APIリファレンス
パイプラインの列
パイプラインの列は、「興味あり」や「通話予約済み」のような会話ボードのステージです。各会話はいずれか1つの列に置かれます。「リクエスト」「受信トレイ」「連絡済み」「返信あり」とペルソナの列はボード固有の列で、それ以外はあなたが作成した列です。ボードの列は最大50個です。
パイプラインの列オブジェクト
「興味あり」や「通話予約済み」のような、会話ボードの列。各会話はいずれか1つの列に置かれます。
属性
- idstring列の一意の識別子。
- objectstring常に
pipeline_columnです。 - namestring列の名前。
- kindstring
requests、inbox、contacted、repliedはボード固有の列、personaはペルソナに対応する列、customはあなたが作成した列です。requestsinboxcontactedrepliedpersonacustom - persona_idstringまたはnull
personaの列に対応するペルソナ。 - positionintegerボード上の位置。左端が0です。
- collapsedbooleanボード上で折りたたまれているかどうか。
- deletableboolean削除できるかどうか。削除できるのは
customの列のみです。
パイプラインの列オブジェクト
{
"id": "q7m2xk4p",
"object": "pipeline_column",
"name": "Interested",
"kind": "custom",
"persona_id": null,
"position": 2,
"collapsed": false,
"deletable": true
}GET/v1/ pipeline_columns
curl https://gemlead.ai/api/v1/pipeline_columns \
-H "Authorization: Bearer $GEMLEAD_API_KEY"レスポンス200
{
"object": "list",
"data": [
{
"id": "r1n8vd2c",
"object": "pipeline_column",
"name": "Requests",
"kind": "requests",
"persona_id": null,
"position": 0,
"collapsed": true,
"deletable": false
},
{
"id": "h5t0bw9e",
"object": "pipeline_column",
"name": "Inbox",
"kind": "inbox",
"persona_id": null,
"position": 1,
"collapsed": false,
"deletable": false
},
{
"id": "q7m2xk4p",
"object": "pipeline_column",
"name": "Interested",
"kind": "custom",
"persona_id": null,
"position": 2,
"collapsed": false,
"deletable": true
},
{
"id": "z3c6lf8a",
"object": "pipeline_column",
"name": "Call booked",
"kind": "custom",
"persona_id": null,
"position": 3,
"collapsed": false,
"deletable": true
}
],
"has_more": false,
"next_cursor": null
}パイプラインの列を作成
ボードに列を追加します。
ボディパラメーター
- namestring必須列の名前。60文字までです。
- positioninteger追加する位置。0が先頭です。デフォルトは末尾です。
戻り値
ボードの列。パイプラインの列オブジェクトのリストです。
エラー
- 必須パラメーターがありません。
paramにその名前が入ります。 - APIが受け付けない値のパラメーターがあります。
paramにその名前が入ります。 - ボードにはすでに50個の列があります。
POST/v1/ pipeline_columns
curl -X POST https://gemlead.ai/api/v1/pipeline_columns \
-H "Authorization: Bearer $GEMLEAD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Call booked",
"position": 3
}'レスポンス200
{
"object": "list",
"data": [
{
"id": "r1n8vd2c",
"object": "pipeline_column",
"name": "Requests",
"kind": "requests",
"persona_id": null,
"position": 0,
"collapsed": true,
"deletable": false
},
{
"id": "h5t0bw9e",
"object": "pipeline_column",
"name": "Inbox",
"kind": "inbox",
"persona_id": null,
"position": 1,
"collapsed": false,
"deletable": false
},
{
"id": "q7m2xk4p",
"object": "pipeline_column",
"name": "Interested",
"kind": "custom",
"persona_id": null,
"position": 2,
"collapsed": false,
"deletable": true
},
{
"id": "z3c6lf8a",
"object": "pipeline_column",
"name": "Call booked",
"kind": "custom",
"persona_id": null,
"position": 3,
"collapsed": false,
"deletable": true
}
],
"has_more": false,
"next_cursor": null
}パイプラインの列を更新
列の名前を変更するか、ボード上で折りたたみます。
パスパラメーター
- column_idstring必須列のID。
ボディパラメーター
- namestring列の名前。60文字までです。
- collapsedbooleanボード上で列を折りたたみます。
戻り値
ボードの列。パイプラインの列オブジェクトのリストです。
エラー
- キーのアカウントに、このIDの列はありません。
- APIが受け付けない値のパラメーターがあります。
paramにその名前が入ります。 - ボディに、このエンドポイントが受け付けないフィールドがあります。
PATCH/v1/ pipeline_columns/ :column_id
curl -X PATCH \
https://gemlead.ai/api/v1/pipeline_columns/z3c6lf8a \
-H "Authorization: Bearer $GEMLEAD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Demo booked"
}'レスポンス200
{
"object": "list",
"data": [
{
"id": "r1n8vd2c",
"object": "pipeline_column",
"name": "Requests",
"kind": "requests",
"persona_id": null,
"position": 0,
"collapsed": true,
"deletable": false
},
{
"id": "h5t0bw9e",
"object": "pipeline_column",
"name": "Inbox",
"kind": "inbox",
"persona_id": null,
"position": 1,
"collapsed": false,
"deletable": false
},
{
"id": "q7m2xk4p",
"object": "pipeline_column",
"name": "Interested",
"kind": "custom",
"persona_id": null,
"position": 2,
"collapsed": false,
"deletable": true
},
{
"id": "z3c6lf8a",
"object": "pipeline_column",
"name": "Demo booked",
"kind": "custom",
"persona_id": null,
"position": 3,
"collapsed": false,
"deletable": true
}
],
"has_more": false,
"next_cursor": null
}パイプラインの列を削除
あなたが作成した列を削除します。その列の会話は「受信トレイ」の列に戻ります。
パスパラメーター
- column_idstring必須列のID。
戻り値
列のidと、trueに設定されたdeletedを含むオブジェクト。
エラー
- キーのアカウントに、このIDの列はありません。
- この列は「受信トレイ」やペルソナの列のようなボード固有の列です。
DELETE/v1/ pipeline_columns/ :column_id
curl -X DELETE \
https://gemlead.ai/api/v1/pipeline_columns/z3c6lf8a \
-H "Authorization: Bearer $GEMLEAD_API_KEY"レスポンス200
{
"id": "z3c6lf8a",
"object": "pipeline_column",
"deleted": true
}パイプラインの列を並べ替え
ボードの列を新しい順番に並べます。すべての列を1回ずつ送ってください。
ボディパラメーター
- column_idsstringsの配列必須ボードのすべての列IDを、左から順に並べたもの。
戻り値
新しい順番に並んだボードの列。パイプラインの列オブジェクトのリストです。
エラー
- 必須パラメーターがありません。
paramにその名前が入ります。 - APIが受け付けない値のパラメーターがあります。
paramにその名前が入ります。 - ボードの列ではないIDがあります。
POST/v1/ pipeline_columns/ reorder
curl -X POST \
https://gemlead.ai/api/v1/pipeline_columns/reorder \
-H "Authorization: Bearer $GEMLEAD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"column_ids": ["r1n8vd2c", "h5t0bw9e", "z3c6lf8a", "q7m2xk4p"]
}'レスポンス200
{
"object": "list",
"data": [
{
"id": "r1n8vd2c",
"object": "pipeline_column",
"name": "Requests",
"kind": "requests",
"persona_id": null,
"position": 0,
"collapsed": true,
"deletable": false
},
{
"id": "h5t0bw9e",
"object": "pipeline_column",
"name": "Inbox",
"kind": "inbox",
"persona_id": null,
"position": 1,
"collapsed": false,
"deletable": false
},
{
"id": "z3c6lf8a",
"object": "pipeline_column",
"name": "Call booked",
"kind": "custom",
"persona_id": null,
"position": 2,
"collapsed": false,
"deletable": true
},
{
"id": "q7m2xk4p",
"object": "pipeline_column",
"name": "Interested",
"kind": "custom",
"persona_id": null,
"position": 3,
"collapsed": false,
"deletable": true
}
],
"has_more": false,
"next_cursor": null
}